Updating Apps and Binaries Unpack Settings
POST /edit/app/<app name>
Create a new setting to override unpack path for a specific app:
curl -k -XPOST https://<SBM_HOST>:7769/edit/app/<app name> \
-u "login:password" \
-H "Content-Type: application/json" \
-d '{ "unpackDirectory": "/custom/path/app/<app name>"}'
Header Input Parameters
| Name | Type | Description |
|---|---|---|
| Authorization | string | Base64 login and password for Smart Beat Manager authorization |
Body Input Parameters
| Name | Type | Description |
|---|---|---|
| newname | string | App name |
| path | string | Unpack path |
Supported Errors
| Status | Error content | Error description |
|---|---|---|
| 400 | A app named <app> already exists | App name from request already exists |
| 500 | <response write error> | Internal Smart Beat Manager error |
Examples
Example output parameters:
Success add app
PUT /edit/app/<app name>
Update existing setting that overrides unpack path for a specific app:
curl -k -XPUT https://<SBM_HOST>:7769/edit/app/<app name> \
-u "login:password" \
-H "Content-Type: application/json" \
-d '{ "unpackDirectory": "/custom/path/app/<app name>"}'
Header Input Parameters
| Name | Type | Description |
|---|---|---|
| Authorization | string | Base64 login and password for Smart Beat Manager authorization |
Body Input Parameters
| Name | Type | Description |
|---|---|---|
| newname | string | App name |
| path | string | Unpack path |
Supported Errors
| Status | Error content | Error description |
|---|---|---|
| 400 | No app named <app> | App name from request does not exist |
| 500 | <response write error> | Internal Smart Beat Manager error |
Examples
Example output parameters:
Success update app
DELETE /edit/app/<app name>
Delete setting that overrides unpack path for a specific app:
curl -k -XDELETE https://<SBM_HOST>:7769/edit/app/<app name> \
-u "login:password" \
-H "Accept: application/json"
Header Input Parameters
| Name | Type | Description |
|---|---|---|
| Authorization | string | Base64 login and password for Smart Beat Manager authorization |
Supported Errors
| Status | Error content | Error description |
|---|---|---|
| 400 | No app named <app> | App name from request does not exist |
| 500 | <response write error> | Internal Smart Beat Manager error |
Examples
Example output parameters:
Success delete app